Skip to content

# Docs

    usage: /usr/bin/python3 -m pipx [-h] [--quiet] [--verbose] [--global]
                                    [--version]
                                    {install,install-all,uninject,inject,pin,unpin,upgrade,upgrade-all,upgrade-shared,uninstall,uninstall-all,reinstall,reinstall-all,list,interpreter,run,runpip,ensurepath,environment,completions} ...

    Install and execute apps from Python packages.

    Binaries can either be installed globally into isolated Virtual Environments
    or run directly in a temporary Virtual Environment.

    Virtual Environment location is ~/.local/share/pipx/venvs.
    Symlinks to apps are placed in ~/.local/bin.
    Symlinks to manual pages are placed in ~/.local/share/man.

    optional environment variables:
      PIPX_HOME              Overrides default pipx location. Virtual Environments
                            will be installed to $PIPX_HOME/venvs.
      PIPX_GLOBAL_HOME       Used instead of PIPX_HOME when the `--global` option
                            is given.
      PIPX_BIN_DIR           Overrides location of app installations. Apps are
                            symlinked or copied here.
      PIPX_GLOBAL_BIN_DIR    Used instead of PIPX_BIN_DIR when the `--global`
                            option is given.
      PIPX_MAN_DIR           Overrides location of manual pages installations.
                            Manual pages are symlinked or copied here.
      PIPX_GLOBAL_MAN_DIR    Used instead of PIPX_MAN_DIR when the `--global`
                            option is given.
      PIPX_DEFAULT_PYTHON    Overrides default python used for commands.
      PIPX_USE_EMOJI         Overrides emoji behavior. Default value varies based
                            on platform.
      PIPX_HOME_ALLOW_SPACE  Overrides default warning on spaces in the home path

    options:
      -h, --help            show this help message and exit
      --quiet, -q           Give less output. May be used multiple times
                            corresponding to the ERROR and CRITICAL logging
                            levels. The count maxes out at 2.
      --verbose, -v         Give more output. May be used multiple times
                            corresponding to the INFO, DEBUG and NOTSET logging
                            levels. The count maxes out at 3.
      --global              Perform action globally for all users.
      --version             Print version and exit

    subcommands:
      Get help for commands with pipx COMMAND --help

      {install,install-all,uninject,inject,pin,unpin,upgrade,upgrade-all,upgrade-shared,uninstall,uninstall-all,reinstall,reinstall-all,list,interpreter,run,runpip,ensurepath,environment,completions}
        install             Install a package
        install-all         Install all packages
        uninject            Uninstall injected packages from an existing Virtual
                            Environment
        inject              Install packages into an existing Virtual Environment
        pin                 Pin the specified package to prevent it from being
                            upgraded
        unpin               Unpin the specified package
        upgrade             Upgrade a package
        upgrade-all         Upgrade all packages. Runs `pip install -U <pkgname>`
                            for each package.
        upgrade-shared      Upgrade shared libraries.
        uninstall           Uninstall a package
        uninstall-all       Uninstall all packages
        reinstall           Reinstall a package
        reinstall-all       Reinstall all packages
        list                List installed packages
        interpreter         Interact with interpreters managed by pipx
        run                 Download the latest version of a package to a
                            temporary virtual environment, then run an app from
                            it. Also compatible with local `__pypackages__`
                            directory (experimental).
        runpip              Run pip in an existing pipx-managed Virtual
                            Environment
        ensurepath          Ensure directories necessary for pipx operation are in
                            your PATH environment variable.
        environment         Print a list of environment variables and paths used
                            by pipx.
        completions         Print instructions on enabling shell completions for
                            pipx

### pipx install

    usage: /usr/bin/python3 -m pipx install [-h] [--quiet] [--verbose] [--global]
                                            [--include-deps] [--force]
                                            [--suffix SUFFIX] [--python PYTHON]
                                            [--fetch-missing-python]
                                            [--preinstall PREINSTALL]
                                            [--system-site-packages]
                                            [--index-url INDEX_URL] [--editable]
                                            [--pip-args PIP_ARGS]
                                            package_spec [package_spec ...]

    The install command is the preferred way to globally install apps
    from python packages on your system. It creates an isolated virtual
    environment for the package, then ensures the package's apps are
    accessible on your $PATH. The package's manual pages installed in
    share/man/man[1-9] can be viewed with man on an operating system where
    it is available and the path in the environment variable `PIPX_MAN_DIR`
    (default: ~/.local/share/man) is in the man search path
    ($MANPATH).

    The result: apps you can run from anywhere, located in packages
    you can cleanly upgrade or uninstall. Guaranteed to not have
    dependency version conflicts or interfere with your OS's python
    packages. 'sudo' is not required to do this.

    pipx install PACKAGE_SPEC ...
    pipx install --python PYTHON PACKAGE_SPEC
    pipx install VCS_URL
    pipx install ./LOCAL_PATH
    pipx install ZIP_FILE
    pipx install TAR_GZ_FILE

    The PACKAGE_SPEC argument is passed directly to `pip install`.

    Virtual Environments will be installed to `$PIPX_HOME/venvs`.
    The default pipx home location is ~/.local/share/pipx and can
    be overridden by setting the environment variable `PIPX_HOME`.
    If the `--global` option is used, the default pipx home location
    instead is /opt/pipx and can be overridden
    by setting the environment variable `PIPX_GLOBAL_HOME`.

    The default app location is ~/.local/bin and can be
    overridden by setting the environment variable `PIPX_BIN_DIR`.
    If the `--global` option is used, the default app location instead
    is /usr/local/bin and can be overridden by
    setting the environment variable `PIPX_GLOBAL_BIN_DIR`.

    The default manual pages location is ~/.local/share/man and
    can be overridden by setting the environment variable `PIPX_MAN_DIR`.
    If the `--global` option is used, the default manual pages location
    instead is /usr/local/share/man and can be overridden
    by setting the environment variable `PIPX_GLOBAL_MAN_DIR`.

    The default python executable used to install a package is
    /usr/bin/python3.13 and can be overridden
    by setting the environment variable `PIPX_DEFAULT_PYTHON`.

    positional arguments:
      package_spec          package name(s) or pip installation spec(s)

    options:
      -h, --help            show this help message and exit
      --quiet, -q           Give less output. May be used multiple times
                            corresponding to the ERROR and CRITICAL logging
                            levels. The count maxes out at 2.
      --verbose, -v         Give more output. May be used multiple times
                            corresponding to the INFO, DEBUG and NOTSET logging
                            levels. The count maxes out at 3.
      --global              Perform action globally for all users.
      --include-deps        Include apps of dependent packages
      --force, -f           Modify existing virtual environment and files in
                            PIPX_BIN_DIR and PIPX_MAN_DIR
      --suffix SUFFIX       Optional suffix for virtual environment and executable
                            names. NOTE: The suffix feature is experimental and
                            subject to change.
      --python PYTHON       Python to install with. Possible values can be the
                            executable name (python3.11), the version of an
                            available system Python or to pass to py launcher
                            (3.11), or the full path to the executable. Requires
                            Python 3.9 or above.
      --fetch-missing-python
                            Whether to fetch a standalone python build from GitHub
                            if the specified python version is not found locally
                            on the system.
      --preinstall PREINSTALL
                            Optional package to be installed into the Virtual
                            Environment before installing the main package. Use
                            this flag multiple times if you want to preinstall
                            multiple packages.
      --system-site-packages
                            Give the virtual environment access to the system
                            site-packages dir.
      --index-url, -i INDEX_URL
                            Base URL of Python Package Index
      --editable, -e        Install a project in editable mode
      --pip-args PIP_ARGS   Arbitrary pip arguments to pass directly to pip
                            install/upgrade commands

### pipx install-all

    usage: /usr/bin/python3 -m pipx install-all [-h] [--quiet] [--verbose]
                                                [--global] [--force]
                                                [--python PYTHON]
                                                [--fetch-missing-python]
                                                [--system-site-packages]
                                                [--index-url INDEX_URL]
                                                [--editable] [--pip-args PIP_ARGS]
                                                spec_metadata_file

    Installs all the packages according to spec metadata file.

    positional arguments:
      spec_metadata_file    Spec metadata file generated from pipx list --json

    options:
      -h, --help            show this help message and exit
      --quiet, -q           Give less output. May be used multiple times
                            corresponding to the ERROR and CRITICAL logging
                            levels. The count maxes out at 2.
      --verbose, -v         Give more output. May be used multiple times
                            corresponding to the INFO, DEBUG and NOTSET logging
                            levels. The count maxes out at 3.
      --global              Perform action globally for all users.
      --force, -f           Modify existing virtual environment and files in
                            PIPX_BIN_DIR and PIPX_MAN_DIR
      --python PYTHON       Python to install with. Possible values can be the
                            executable name (python3.11), the version of an
                            available system Python or to pass to py launcher
                            (3.11), or the full path to the executable. Requires
                            Python 3.9 or above.
      --fetch-missing-python
                            Whether to fetch a standalone python build from GitHub
                            if the specified python version is not found locally
                            on the system.
      --system-site-packages
                            Give the virtual environment access to the system
                            site-packages dir.
      --index-url, -i INDEX_URL
                            Base URL of Python Package Index
      --editable, -e        Install a project in editable mode
      --pip-args PIP_ARGS   Arbitrary pip arguments to pass directly to pip
                            install/upgrade commands

### pipx uninject

    usage: /usr/bin/python3 -m pipx uninject [-h] [--quiet] [--verbose] [--global]
                                             [--leave-deps]
                                             package
                                             dependencies [dependencies ...]

    Uninstalls injected packages from an existing pipx-managed virtual
    environment.

    positional arguments:
      package        Name of the existing pipx-managed Virtual Environment to
                     inject into
      dependencies   the package names to uninject from the Virtual Environment

    options:
      -h, --help     show this help message and exit
      --quiet, -q    Give less output. May be used multiple times corresponding to
                     the ERROR and CRITICAL logging levels. The count maxes out at
                     2.
      --verbose, -v  Give more output. May be used multiple times corresponding to
                     the INFO, DEBUG and NOTSET logging levels. The count maxes
                     out at 3.
      --global       Perform action globally for all users.
      --leave-deps   Only uninstall the main injected package but leave its
                     dependencies installed.

### pipx inject

    usage: /usr/bin/python3 -m pipx inject [-h] [--quiet] [--verbose] [--global]
                                           [-r file] [--include-apps]
                                           [--include-deps]
                                           [--system-site-packages]
                                           [--index-url INDEX_URL] [--editable]
                                           [--pip-args PIP_ARGS] [--force]
                                           [--with-suffix]
                                           package [dependencies ...]

    Installs packages to an existing pipx-managed virtual environment.

    positional arguments:
      package               Name of the existing pipx-managed Virtual Environment
                            to inject into
      dependencies          the packages to inject into the Virtual Environment--
                            either package name or pip package spec

    options:
      -h, --help            show this help message and exit
      --quiet, -q           Give less output. May be used multiple times
                            corresponding to the ERROR and CRITICAL logging
                            levels. The count maxes out at 2.
      --verbose, -v         Give more output. May be used multiple times
                            corresponding to the INFO, DEBUG and NOTSET logging
                            levels. The count maxes out at 3.
      --global              Perform action globally for all users.
      -r, --requirement file
                            file containing the packages to inject into the
                            Virtual Environment--one package name or pip package
                            spec per line. May be specified multiple times.
      --include-apps        Add apps from the injected packages onto your PATH and
                            expose their manual pages
      --include-deps        Include apps of dependent packages. Implies --include-
                            apps
      --system-site-packages
                            Give the virtual environment access to the system
                            site-packages dir.
      --index-url, -i INDEX_URL
                            Base URL of Python Package Index
      --editable, -e        Install a project in editable mode
      --pip-args PIP_ARGS   Arbitrary pip arguments to pass directly to pip
                            install/upgrade commands
      --force, -f           Modify existing virtual environment and files in
                            PIPX_BIN_DIR and PIPX_MAN_DIR
      --with-suffix         Add the suffix (if given) of the Virtual Environment
                            to the packages to inject

### pipx upgrade

    usage: /usr/bin/python3 -m pipx upgrade [-h] [--quiet] [--verbose] [--global]
                                            [--include-injected] [--force]
                                            [--system-site-packages]
                                            [--index-url INDEX_URL] [--editable]
                                            [--pip-args PIP_ARGS] [--install]
                                            [--python PYTHON]
                                            [--fetch-missing-python]
                                            packages [packages ...]

    Upgrade package(s) in pipx-managed Virtual Environment(s) by running 'pip
    install --upgrade PACKAGE'

    positional arguments:
      packages              package names(s) to upgrade

    options:
      -h, --help            show this help message and exit
      --quiet, -q           Give less output. May be used multiple times
                            corresponding to the ERROR and CRITICAL logging
                            levels. The count maxes out at 2.
      --verbose, -v         Give more output. May be used multiple times
                            corresponding to the INFO, DEBUG and NOTSET logging
                            levels. The count maxes out at 3.
      --global              Perform action globally for all users.
      --include-injected    Also upgrade packages injected into the main app's
                            environment
      --force, -f           Modify existing virtual environment and files in
                            PIPX_BIN_DIR and PIPX_MAN_DIR
      --system-site-packages
                            Give the virtual environment access to the system
                            site-packages dir.
      --index-url, -i INDEX_URL
                            Base URL of Python Package Index
      --editable, -e        Install a project in editable mode
      --pip-args PIP_ARGS   Arbitrary pip arguments to pass directly to pip
                            install/upgrade commands
      --install             Install package spec if missing
      --python PYTHON       Python to install with. Possible values can be the
                            executable name (python3.11), the version of an
                            available system Python or to pass to py launcher
                            (3.11), or the full path to the executable. Requires
                            Python 3.9 or above.
      --fetch-missing-python
                            Whether to fetch a standalone python build from GitHub
                            if the specified python version is not found locally
                            on the system.

### pipx upgrade-all

    usage: /usr/bin/python3 -m pipx upgrade-all [-h] [--quiet] [--verbose]
                                                [--global] [--include-injected]
                                                [--skip SKIP [SKIP ...]] [--force]

    Upgrades all packages within their virtual environments by running 'pip
    install --upgrade PACKAGE'

    options:
      -h, --help            show this help message and exit
      --quiet, -q           Give less output. May be used multiple times
                            corresponding to the ERROR and CRITICAL logging
                            levels. The count maxes out at 2.
      --verbose, -v         Give more output. May be used multiple times
                            corresponding to the INFO, DEBUG and NOTSET logging
                            levels. The count maxes out at 3.
      --global              Perform action globally for all users.
      --include-injected    Also upgrade packages injected into the main app's
                            environment
      --skip SKIP [SKIP ...]
                            skip these packages
      --force, -f           Modify existing virtual environment and files in
                            PIPX_BIN_DIR and PIPX_MAN_DIR

### pipx upgrade-shared

    usage: /usr/bin/python3 -m pipx upgrade-shared [-h] [--quiet] [--verbose]
                                                   [--global]
                                                   [--pip-args PIP_ARGS]

    Upgrade shared libraries.

    options:
      -h, --help           show this help message and exit
      --quiet, -q          Give less output. May be used multiple times
                           corresponding to the ERROR and CRITICAL logging levels.
                           The count maxes out at 2.
      --verbose, -v        Give more output. May be used multiple times
                           corresponding to the INFO, DEBUG and NOTSET logging
                           levels. The count maxes out at 3.
      --global             Perform action globally for all users.
      --pip-args PIP_ARGS  Arbitrary pip arguments to pass directly to pip
                           install/upgrade commands

### pipx uninstall

    usage: /usr/bin/python3 -m pipx uninstall [-h] [--quiet] [--verbose]
                                              [--global]
                                              package

    Uninstalls a pipx-managed Virtual Environment by deleting it and any files
    that point to its apps.

    positional arguments:
      package

    options:
      -h, --help     show this help message and exit
      --quiet, -q    Give less output. May be used multiple times corresponding to
                     the ERROR and CRITICAL logging levels. The count maxes out at
                     2.
      --verbose, -v  Give more output. May be used multiple times corresponding to
                     the INFO, DEBUG and NOTSET logging levels. The count maxes
                     out at 3.
      --global       Perform action globally for all users.

### pipx uninstall-all

    usage: /usr/bin/python3 -m pipx uninstall-all [-h] [--quiet] [--verbose]
                                                  [--global]

    Uninstall all pipx-managed packages

    options:
      -h, --help     show this help message and exit
      --quiet, -q    Give less output. May be used multiple times corresponding to
                     the ERROR and CRITICAL logging levels. The count maxes out at
                     2.
      --verbose, -v  Give more output. May be used multiple times corresponding to
                     the INFO, DEBUG and NOTSET logging levels. The count maxes
                     out at 3.
      --global       Perform action globally for all users.

### pipx reinstall

    usage: /usr/bin/python3 -m pipx reinstall [-h] [--quiet] [--verbose]
                                              [--global] [--python PYTHON]
                                              [--fetch-missing-python]
                                              package

    Reinstalls a package.

    Package is uninstalled, then installed with pipx install PACKAGE
    with the same options used in the original install of PACKAGE.

    positional arguments:
      package

    options:
      -h, --help            show this help message and exit
      --quiet, -q           Give less output. May be used multiple times
                            corresponding to the ERROR and CRITICAL logging
                            levels. The count maxes out at 2.
      --verbose, -v         Give more output. May be used multiple times
                            corresponding to the INFO, DEBUG and NOTSET logging
                            levels. The count maxes out at 3.
      --global              Perform action globally for all users.
      --python PYTHON       Python to install with. Possible values can be the
                            executable name (python3.11), the version of an
                            available system Python or to pass to py launcher
                            (3.11), or the full path to the executable. Requires
                            Python 3.9 or above.
      --fetch-missing-python
                            Whether to fetch a standalone python build from GitHub
                            if the specified python version is not found locally
                            on the system.

### pipx reinstall-all

    usage: /usr/bin/python3 -m pipx reinstall-all [-h] [--quiet] [--verbose]
                                                  [--global] [--python PYTHON]
                                                  [--fetch-missing-python]
                                                  [--skip SKIP [SKIP ...]]

    Reinstalls all packages.

    Packages are uninstalled, then installed with pipx install PACKAGE
    with the same options used in the original install of PACKAGE.
    This is useful if you upgraded to a new version of Python and want
    all your packages to use the latest as well.

    options:
      -h, --help            show this help message and exit
      --quiet, -q           Give less output. May be used multiple times
                            corresponding to the ERROR and CRITICAL logging
                            levels. The count maxes out at 2.
      --verbose, -v         Give more output. May be used multiple times
                            corresponding to the INFO, DEBUG and NOTSET logging
                            levels. The count maxes out at 3.
      --global              Perform action globally for all users.
      --python PYTHON       Python to install with. Possible values can be the
                            executable name (python3.11), the version of an
                            available system Python or to pass to py launcher
                            (3.11), or the full path to the executable. Requires
                            Python 3.9 or above.
      --fetch-missing-python
                            Whether to fetch a standalone python build from GitHub
                            if the specified python version is not found locally
                            on the system.
      --skip SKIP [SKIP ...]
                            skip these packages

### pipx list

    usage: /usr/bin/python3 -m pipx list [-h] [--quiet] [--verbose] [--global]
                                         [--include-injected] [--json | --short |
                                         --pinned | --skip-maintenance]

    List packages and apps installed with pipx

    options:
      -h, --help          show this help message and exit
      --quiet, -q         Give less output. May be used multiple times
                          corresponding to the ERROR and CRITICAL logging levels.
                          The count maxes out at 2.
      --verbose, -v       Give more output. May be used multiple times
                          corresponding to the INFO, DEBUG and NOTSET logging
                          levels. The count maxes out at 3.
      --global            Perform action globally for all users.
      --include-injected  Show packages injected into the main app's environment
      --json              Output rich data in json format.
      --short             List packages only.
      --pinned            List pinned packages only. Pass --include-injected at
                          the same time to list injected packages that were
                          pinned.
      --skip-maintenance  (deprecated) No-op

### pipx interpreter

    usage: /usr/bin/python3 -m pipx interpreter [-h] [--quiet] [--verbose]
                                                [--global]
                                                {list,prune,upgrade} ...

    Interact with interpreters managed by pipx

    options:
      -h, --help            show this help message and exit
      --quiet, -q           Give less output. May be used multiple times
                            corresponding to the ERROR and CRITICAL logging
                            levels. The count maxes out at 2.
      --verbose, -v         Give more output. May be used multiple times
                            corresponding to the INFO, DEBUG and NOTSET logging
                            levels. The count maxes out at 3.
      --global              Perform action globally for all users.

    subcommands:
      Get help for commands with pipx interpreter COMMAND --help

      {list,prune,upgrade}
        list                List available interpreters
        prune               Prune unused interpreters
        upgrade             Upgrade installed interpreters to the latest available
                            micro/patch version

### pipx run

    usage: /usr/bin/python3 -m pipx run [-h] [--quiet] [--verbose] [--global]
                                        [--no-cache] [--path] [--pypackages]
                                        [--spec SPEC] [--python PYTHON]
                                        [--fetch-missing-python]
                                        [--system-site-packages]
                                        [--index-url INDEX_URL] [--editable]
                                        [--pip-args PIP_ARGS]
                                        app ...

    Download the latest version of a package to a temporary virtual environment,
    then run an app from it. The environment will be cached
    and re-used for up to 14 days. This
    means subsequent calls to 'run' for the same package will be faster
    since they can reuse the cached Virtual Environment.

    In support of PEP 582 'run' will use apps found in a local __pypackages__
    directory, if present. Please note that this behavior is experimental,
    and acts as a companion tool to pythonloc. It may be modified or
    removed in the future. See https://github.com/cs01/pythonloc.

    positional arguments:
      app ...               app/package name and any arguments to be passed to it

    options:
      -h, --help            show this help message and exit
      --quiet, -q           Give less output. May be used multiple times
                            corresponding to the ERROR and CRITICAL logging
                            levels. The count maxes out at 2.
      --verbose, -v         Give more output. May be used multiple times
                            corresponding to the INFO, DEBUG and NOTSET logging
                            levels. The count maxes out at 3.
      --global              Perform action globally for all users.
      --no-cache            Do not reuse cached virtual environment if it exists
      --path                Interpret app name as a local path
      --pypackages          Require app to be run from local __pypackages__
                            directory
      --spec SPEC           The package name or specific installation source
                            passed to pip. Runs `pip install -U SPEC`. For example
                            `--spec mypackage==2.0.0` or `--spec
                            git+https://github.com/user/repo.git@branch`
      --python PYTHON       Python to install with. Possible values can be the
                            executable name (python3.11), the version of an
                            available system Python or to pass to py launcher
                            (3.11), or the full path to the executable. Requires
                            Python 3.9 or above.
      --fetch-missing-python
                            Whether to fetch a standalone python build from GitHub
                            if the specified python version is not found locally
                            on the system.
      --system-site-packages
                            Give the virtual environment access to the system
                            site-packages dir.
      --index-url, -i INDEX_URL
                            Base URL of Python Package Index
      --editable, -e        Install a project in editable mode
      --pip-args PIP_ARGS   Arbitrary pip arguments to pass directly to pip
                            install/upgrade commands

### pipx runpip

    usage: /usr/bin/python3 -m pipx runpip [-h] [--quiet] [--verbose] [--global]
                                           package ...

    Run pip in an existing pipx-managed Virtual Environment

    positional arguments:
      package        Name of the existing pipx-managed Virtual Environment to run
                     pip in
      pipargs        Arguments to forward to pip command

    options:
      -h, --help     show this help message and exit
      --quiet, -q    Give less output. May be used multiple times corresponding to
                     the ERROR and CRITICAL logging levels. The count maxes out at
                     2.
      --verbose, -v  Give more output. May be used multiple times corresponding to
                     the INFO, DEBUG and NOTSET logging levels. The count maxes
                     out at 3.
      --global       Perform action globally for all users.

### pipx ensurepath

    usage: /usr/bin/python3 -m pipx ensurepath [-h] [--quiet] [--verbose]
                                               [--global] [--prepend] [--force]
                                               [--all-shells]

    Ensure directory where pipx stores apps is in your PATH environment variable.
    Also if pipx was installed via `pip install --user`, ensure pipx itself is in
    your PATH. Note that running this may modify your shell's configuration
    file(s) such as '~/.bashrc'.

    options:
      -h, --help     show this help message and exit
      --quiet, -q    Give less output. May be used multiple times corresponding to
                     the ERROR and CRITICAL logging levels. The count maxes out at
                     2.
      --verbose, -v  Give more output. May be used multiple times corresponding to
                     the INFO, DEBUG and NOTSET logging levels. The count maxes
                     out at 3.
      --global       Perform action globally for all users.
      --prepend      Prepend directories to your PATH instead of appending. This
                     is useful if you want to prioritize pipx apps over system
                     apps.
      --force, -f    Add text to your shell's config file even if it looks like
                     your PATH already contains paths to pipx and pipx-install
                     apps.
      --all-shells   Add directories to PATH in all shells instead of just the
                     current one.

### pipx environment

    usage: /usr/bin/python3 -m pipx environment [-h] [--quiet] [--verbose]
                                                [--global] [--value VARIABLE]

    Prints the names and current values of environment variables used by pipx,
    followed by internal pipx variables which are derived from the environment
    variables and platform specific default values.

    Available variables:
    PIPX_HOME, PIPX_GLOBAL_HOME, PIPX_BIN_DIR, PIPX_GLOBAL_BIN_DIR,
    PIPX_MAN_DIR, PIPX_GLOBAL_MAN_DIR, PIPX_SHARED_LIBS,
    PIPX_DEFAULT_PYTHON, PIPX_FETCH_MISSING_PYTHON, PIPX_USE_EMOJI,
    PIPX_HOME_ALLOW_SPACE

    options:
      -h, --help            show this help message and exit
      --quiet, -q           Give less output. May be used multiple times
                            corresponding to the ERROR and CRITICAL logging
                            levels. The count maxes out at 2.
      --verbose, -v         Give more output. May be used multiple times
                            corresponding to the INFO, DEBUG and NOTSET logging
                            levels. The count maxes out at 3.
      --global              Perform action globally for all users.
      --value, -V VARIABLE  Print the value of the variable.

### pipx completions

    usage: /usr/bin/python3 -m pipx completions [-h] [--quiet] [--verbose]
                                                [--global]

    Print instructions on enabling shell completions for pipx

    options:
      -h, --help     show this help message and exit
      --quiet, -q    Give less output. May be used multiple times corresponding to
                     the ERROR and CRITICAL logging levels. The count maxes out at
                     2.
      --verbose, -v  Give more output. May be used multiple times corresponding to
                     the INFO, DEBUG and NOTSET logging levels. The count maxes
                     out at 3.
      --global       Perform action globally for all users.